Mercer County Permits

Welcome, Guest!
Log in | Sign up
 
Font Size:
Moving Overweight Permit# 2020-02249, UID# 2824
App. Status: Expired

Valid: 07/07/2020 - 07/10/2020
Mercer County Highway Department
1809 7th ST NE
Beulah, ND 58523-0412
(701)873-5586
 

Terms

General
  • The applicant or permittee, as a condition for obtaining an over-sized or overweight, or both, permit, shall assume all responsibility for accidents, damage, or injury to any persons or damage to public or private property caused by the movement of any oversize of overweight, or both , vehicle or load covered by the permit while upon Mercer County roadways. The applicant or permitee agrees to indemnify and hold harmless the Mercer County Sheriff's Office, County of Mercer, their officers, and employees from any and all claims resulting directly or indirectly from the movement of an oversize or overweight, or both, vehicle or load on any Mercer County Roadway.

  • This permit to be carried on vehicle during the above-mentioned movement . This permit shall be open to inspection by any peace officer.

  • Payment for permit must be submitted after approval.

Invoice #2535 (07/07/2020)

Charge Cost Quantity Total
Non-Taxable
added 07/07/2020 3:31 PM

Compliant 135,001 - 140,000 lbs

$100.00 x 1 $100.00
added 07/07/2020 3:31 PM

Fee for over length permit

$30.00 x 1 $30.00
added 07/07/2020 3:29 PM

Select this fee if the empty load is overlength. Additional fees will be applied during review of the application. **Do not pay until you have received an email that your permit has been approved.**

$30.00 x 1 $30.00
added 07/07/2020 3:31 PM

Fee for over width permit

$30.00 x 1 $30.00
Grand Total
Total $190.00
Payment 07/08/2020$190.00
Due$0.00
Action: Print  

Approvals

ApprovalSignatureOptions
ApplicantTravis H. Entzel - 07/07/2020 3:29 PM
3061d9cf8e3322b110a62c6cfc0aabfa
875f1b2f680d7fab3bebfc53a416117c
 
#1 Permit Issuing OfficialRachel Grimm - 07/07/2020 3:31 PM
71a0d5d01482bc51a1199416b92cf36c
74aeb5269c5392c50e6eedcc058c5009
 
Permit has been approved. All signatures have been obtained.